## kalamine 0.38

=== Makefile ===
.PHONY: all dev test lint publish format clean

PYTHON3?=python3

all: format lint test

dev:  ## Install a development environment
	$(PYTHON3) -m pip install --user --upgrade -e .[dev]
	# $(PYTHON3) -m pip install --user --upgrade build
	# $(PYTHON3) -m pip install --user --upgrade twine wheel

format:  ## Format sources
	black kalamine
	isort kalamine

lint:  ## Lint sources
	black --check --quiet kalamine
	isort --check --quiet kalamine
	ruff check kalamine
	mypy kalamine

test:  ## Run tests
	$(PYTHON3) -m kalamine.cli guide > docs/README.md
	$(PYTHON3) -m kalamine.cli build layouts/*.toml
	$(PYTHON3) -m pytest

publish: test  ## Publish package
	rm -rf dist/*
	$(PYTHON3) -m build
	twine check dist/*
	twine upload dist/*

clean:  ## Clean sources
	rm -rf build
	rm -rf dist
	rm -rf include
	rm -rf kalamine.egg-info
	rm -rf kalamine/__pycache__

=== debian/changelog ===
kalamine (0.38-4) unstable; urgency=medium

  * Team Upload
  * Patch-out usage of python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 14:26:24 +0200

kalamine (0.38-3) unstable; urgency=medium

  * Team Upload
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 14:10:29 +0200

kalamine (0.38-2) unstable; urgency=medium

  * Fix wrong Vcs-* fields in d/control

 -- Agathe Porte <gagath@debian.org>  Fri, 02 Aug 2024 12:05:26 +0900

kalamine (0.38-1) unstable; urgency=medium

  * Initial release. (Closes: #1073511)

 -- Agathe Porte <gagath@debian.org>  Thu, 25 Jul 2024 15:05:05 +0900

=== debian/control ===
Source: kalamine
Section: x11
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Agathe Porte <gagath@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-click,
 python3-hatchling,
 python3-livereload,
 python3-lxml,
 python3-progress,
 python3-pytest <!nocheck>,
 python3-yaml,
Standards-Version: 4.7.2
Homepage: https://github.com/OneDeadKey/kalamine
Vcs-Browser: https://salsa.debian.org/python-team/packages/kalamine
Vcs-Git: https://salsa.debian.org/python-team/packages/kalamine.git
Rules-Requires-Root: no

Package: kalamine
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Text-based, cross-platform Keyboard Layout Maker
 Kalamine is capable of generating *.xkb_symbols files (root) and
 *.xkb_keymap files (user) from keyboard layouts stored in a text
 format. The layouts can both be used in X.org and Wayland graphical
 environments.

=== debian/tests/control ===
Tests: pytest
Depends:
 python3-all,
 python3-pytest,
 python3-lxml,
 @,

=== debian/watch ===
version=4
opts="pgpmode=none" \
 https://github.com/OneDeadKey/kalamine/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
